## Struct template deserializer_impl<T, std::enable_if_t< detail::is_serializable_optional_type_v< T, deserializer > >>

zeep::json::deserializer::deserializer_impl<T, std::enable_if_t< detail::is_serializable_optional_type_v< T, deserializer > >>

## Synopsis

    // In header: <zeep/json/serializer.hpp>

    template<typename T>
    struct deserializer_impl<T, std::enable_if_t< detail::is_serializable_optional_type_v< T, deserializer > >> {

      // public static functions
      static void deserialize(T &, element_type &);
    };

## Description

### `deserializer_impl` public static functions

1.     static void deserialize(T & data, element_type & e);